<?php
	/*=======================================================================
	 * copyright (c) AL-Design Works 
	 * http://cms.al-design.jp/
	 * このソースファイルは CMS Designer の一部です。
	 * 詳しいライセンス規約についてはウェブサイトを参照してください。
	 *=======================================================================
	 */

	/* --------------------------------------------------------------------
	 * エントリ編集ユーティリティ。
	 * 
	 */
	class EntryUtil
	{
		/* ----------------------------------------------------------------
		 * エントリ中のファイルIDの最大値を取得する。
		 * $xpathEntry : エントリのXPathオブジェクト。
		 */
		function getMaxFileId( $xpathEntry )
		{
			$fileid = 0; // 初期値
			$xmlEntryImageArr = $xpathEntry->xpath_eval( "//*[@fileid!='']" );
			foreach( cmsd_get_nodeset( $xmlEntryImageArr ) as $xmlEntryImage )
			{
				$otherImageId = $xmlEntryImage->get_attribute('fileid');
				if ( $fileid < $otherImageId )
				{
					$fileid = $otherImageId;
				}
			}
			
			return $fileid;
			
		}
		
		
		/* ----------------------------------------------------------------
		 * ノード直下のテキストノードを削除する。
		 */
		function deleteTextNode( &$xmlNode )
		{
			foreach( $xmlNode->child_nodes() as $xmlNodeChild )
			{
				if ( $xmlNodeChild->node_type() == XML_TEXT_NODE )
				{
					$xmlNodeChild->unlink_node();
				}
			}
		}
	}
	



?>