/* ========================================================================
 * 共通
 *
 * ========================================================================
 */

// サブミット中フラグ（二重サブミット防止用）
var g_submitting = false;


// インライン要素のVisible変更
function changeInlineElementVisible( targetElementId, visibleElementId )
{
    visible = document.getElementById( visibleElementId ).checked;

    newDisplay = 'none';
    if ( visible )
    {
        newDisplay = 'inline';
    }
    
    document.getElementById( targetElementId ).style.display = newDisplay;
}


// ブロック要素のVisible変更
function changeBlockElementVisible( targetElementId, visibleElementId )
{
    visible = document.getElementById( visibleElementId ).checked;

    newDisplay = 'none';
    if ( visible )
    {
        newDisplay = 'block';
    }
    
    document.getElementById( targetElementId ).style.display = newDisplay;
}


/* ========================================================================
 * エントリ編集関連
 *
 * ========================================================================
 */

function moveLevel( level )
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;

            document.frmEntryEditor.nextlevel.value = level;
            document.frmEntryEditor.action.value = 'move'
            document.frmEntryEditor.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }
    }
    
    return false;
}

function submitAddNewItem()
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntryEditor.action.value = 'newitem'
            document.frmEntryEditor.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}

function submitDeleteItems()
{
    if ( ! confirm( '選択された項目を全て削除します。よろしいですか？' ) )
    {
        // キャンセルの場合は何もしないで戻る。
        return false;
    }

    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntryEditor.action.value = 'delitems'
            document.frmEntryEditor.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }
    }
    
    return false;
}

function submitMoveItems( moveto )
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntryEditor.action.value = 'moveitems';
            document.frmEntryEditor.moveto.value = moveto;
            document.frmEntryEditor.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }
    }
    
    return false;
}



function submitAddNewEntry( entryName, maxpagerows, pageno )
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            location.href = "manager.php?p=entry&entryid=new&entryname=" + entryName + "&maxpagerows=" + maxpagerows + "&pageno=" + pageno;
        }
        catch( e )
        {
            g_submitting = false;
        }
    }
    
    return false;
}

function submitDeleteEntries()
{
    if ( ! confirm( '選択されたエントリを全て削除します。よろしいですか？' ) )
    {
        // キャンセルの場合は何もしないで戻る。
        return false;
    }

    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntries.action.value = 'delete';
            document.frmEntries.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}

function changePageTo( pageNo )
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntries.action.value = 'page';
            document.frmEntries.pageno.value = pageNo;
            document.frmEntries.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}

function changeMaxPageRows( newMaxPageRows )
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntries.action.value = 'rows';
            document.frmEntries.maxpagerows.value = newMaxPageRows;
            document.frmEntries.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}

function submitSave()
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntryEditor.action.value = 'save'
            document.frmEntryEditor.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}

function submitUpdate()
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntryEditor.action.value = 'update'
            document.frmEntryEditor.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }
    }
    
    return false;
}


function cancelEdit( entryName, entryId, maxpagerows, pageno )
{
    if ( document.frmEntryEditor.isdirty.value.toLowerCase() == 'true' )
    {
        if ( ! confirm('未保存の編集内容は破棄されます。編集を終了してよろしいですか？') )
        {
            return false;
        }
    }

    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            location.href = "manager.php?p=entries&entryname=" + entryName + '&entryid=' + entryId + '&maxpagerows=' + maxpagerows + '&pageno=' + pageno;
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;

}

function confirmShowInBrowser()
{
    if ( document.frmEntryEditor && document.frmEntryEditor.isdirty.value.toLowerCase() == 'true' )
    {
        if ( confirm('編集が未保存です。表示の前に編集を保存して下さい。保存前のエントリを表示しますか？') )
        {
            return true;
        }
        else
        {
            return false;
        }
    }

    return true;

}

function showIMGTag( filePath, alt )
{
    // IMGタグの生成
    tag = '<img class="cmsdimage" src="cmsdesigner/' + filePath + '" alt="' + alt + '" />';
    message = '以下のタグをコピーして、文章中のお好きな位置へ貼り付けて下さい。\n'
                    + 'Windows版IEの場合、OKを押すと以下のIMGタグがクリップボードにコピーされます。';
    
    var result = prompt( message, tag );
    if ( result && document.all )
    {
        window.clipboardData.setData('Text', tag );
    }
}

function showIMGTag2( filePath, alt, width, height )
{
    // IMGタグの生成
    tag = '<a class="cmsdimage" href="cmsdesigner/' + filePath + '" target="_blank"><img class="cmsdimage" src="cmsdesigner/' + filePath + '&w=' + width + '&h=' + height + '" alt="' + alt + '" /></a>';
    message = '以下のタグをコピーして、文章中のお好きな位置へ貼り付けて下さい。\n'
                    + 'Windows版IEの場合、OKを押すと以下のIMGタグがクリップボードにコピーされます。';
    
    var result = prompt( message, tag );
    if ( result && document.all )
    {
        window.clipboardData.setData('Text', tag );
    }
}

// FCKeditor用
function makeWYSIWYGEditor( id, height )
{
    // CKeditor用
    CKEDITOR.replace( id, { 'customConfig':'config_cmsd.js' } );

    // FCKeditor用
    var oFCKeditor = new FCKeditor( id );
    oFCKeditor.ToolbarSet = 'CMSD';
    oFCKeditor.Height = height * 12;
    oFCKeditor.BasePath = './fckeditor/';
    oFCKeditor.ReplaceTextarea() ;

}

/* ========================================================================
 * ユーザー編集関連
 *
 * ========================================================================
 */

function forceLock()
{
    if ( ! confirm('現在編集中のユーザーの変更は破棄されます。本当によろしいですか？') )
    {
        return false;
    }

    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEntryEditor.action.value = 'forceLock'
            document.frmEntryEditor.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}

function changeUpdateLoginFormVisible( visible )
{
    newDisplay = 'none';
    if ( visible )
    {
        newDisplay = 'block';
    }
    document.getElementById( 'updatelogin' ).style.display = newDisplay;
}

function initLoginForm()
{
    document.frmLogin.param1.focus();
}

function moveToEditContents()
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            location.href = "manager.php?p=entrynames";
        }
        catch( e )
        {
            g_submitting = false;
        }
    }
    
    return false;
}


function submitAddNewUser()
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            location.href = "manager.php?p=edituser&userid=new";
        }
        catch( e )
        {
            g_submitting = false;
        }
    }
    
    return false;
}

function submitDeleteUsers()
{
    if ( ! confirm( '選択されたユーザーを全て削除します。よろしいですか？' ) )
    {
        // キャンセルの場合は何もしないで戻る。
        return false;
    }

    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEditUserList.action.value = 'delete'
            document.frmEditUserList.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}


function EditUser_submitSave()
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            document.frmEditUser.action.value = 'save'
            document.frmEditUser.submit();
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;
}


function EditUser_cancelEdit()
{
    if ( ! g_submitting )
    {
        try
        {
            g_submitting = true;
            
            location.href = "manager.php?p=edituserlist";
        }
        catch( e )
        {
            g_submitting = false;
        }

    }
    
    return false;

}

function EditUser_changePasswordVisible( visible )
{
    newDisplay = 'none';
    if ( visible )
    {
        newDisplay = 'block';
    }
    document.getElementById( 'newpassword' ).style.display = newDisplay;
}


function openGMapInputWindow( name, width, height )
{
    var lat = document.getElementById( name + '_LAT' ).value;
    var lng = document.getElementById( name + '_LNG' ).value;
    var zoom = document.getElementById( name + '_ZOOM' ).value;

    window.open( 'inputgmap.php?tname=' + name + '&lat=' + lat + '&lng=' + lng + '&zoom=' + zoom,'inputgmap', 'width=' + width + ',height=' + height);
}